%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	api 0
%define	major 0
%define	libname %mklibname %{name} %{api} %{major}
%define	devname %mklibname %{name} %{api} -d

Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
Name:		suil
Version:	0.8.4
Release:	1
License:	MIT
Group:		System/Libraries
Url:		http://drobilla.net/software/%{name}/
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
BuildRequires:	waf
BuildRequires:	qt4-devel >= 4.4.0
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(serd-0)
BuildRequires:	pkgconfig(sratom-0)

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
runtime using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Conflicts:	%{_lib}suil0 < 0.8.2-3
Obsoletes:	%{_lib}suil0 < 0.8.2-3

%description -n %{libname}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.
It makes it possible to load a UI of any toolkit in a host using any other
toolkit (assuming the toolkits are both supported by Suil). Hosts do not need
to build against or link to foreign toolkit libraries to use UIs written with
that toolkit (the library performs its magic at runtime using dynamically
loaded modules). The API is designed such that hosts do not need to explicitly
support particular toolkits whatsoever. If Suil supports a particular toolkit,
then all hosts that use Suil will support that toolkit.

%files -n %{libname}
%doc COPYING README
%{_libdir}/lib%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}suil-devel < 0.8.2-3
Obsoletes:	%{_lib}suil-devel < 0.8.2-3

%description -n %{devname}
Development files needed to build applications against suil.

%files -n %{devname}
%doc COPYING README
%{_libdir}/lib%{name}-%{api}.so
%dir %{_includedir}/%{name}-%{api}/%{name}
%{_includedir}/%{name}-%{api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{_lib}%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-x11-in-gtk2 = %{EVRD}

%description -n %{_lib}%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-gtk2
%doc COPYING README
%{_libdir}/%{name}-%{api}/libsuil_x11_in_gtk2.so

#----------------------------------------------------------------------------

%package -n %{_lib}%{name}-x11-in-qt4
Summary:	Shared object for Qt4 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-x11-in-qt4 = %{EVRD}

%description -n %{_lib}%{name}-x11-in-qt4
Shared object for Qt4 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-qt4
%doc COPYING README
%{_libdir}/%{name}-%{api}/libsuil_x11_in_qt4.so

#----------------------------------------------------------------------------

%package -n %{_lib}%{name}-x11-in-qt5
Summary:	Shared object for Qt5 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-x11-in-qt5 = %{EVRD}

%description -n %{_lib}%{name}-x11-in-qt5
Shared object for Qt5 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-qt5
%doc COPYING README
%{_libdir}/%{name}-%{api}/libsuil_x11_in_qt5.so

#----------------------------------------------------------------------------

%package -n %{_lib}%{name}-qt4-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt4 LV2 GUIs
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-qt4-in-gtk2 = %{EVRD}

%description -n %{_lib}%{name}-qt4-in-gtk2
Shared object for GTK2 hosts displaying Qt4 LV2 GUIs.

%files -n %{_lib}%{name}-qt4-in-gtk2
%doc COPYING README
%{_libdir}/%{name}-%{api}/lib%{name}_qt4_in_gtk2.so

#----------------------------------------------------------------------------

%package -n %{_lib}%{name}-gtk2-in-qt4
Summary:	Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-gtk2-in-qt4 = %{EVRD}

%description -n %{_lib}%{name}-gtk2-in-qt4
Shared object for Qt4 hosts displaying GTK2 LV2 GUIs.

%files -n %{_lib}%{name}-gtk2-in-qt4
%doc COPYING README
%{_libdir}/%{name}-%{api}/lib%{name}_gtk2_in_qt4.so

#----------------------------------------------------------------------------

%package -n %{_lib}%{name}-gtk2-in-qt5
Summary:	Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-gtk2-in-qt5 = %{EVRD}

%description -n %{_lib}%{name}-gtk2-in-qt5
Shared object for Qt5 hosts displaying GTK2 LV2 GUIs.

%files -n %{_lib}%{name}-gtk2-in-qt5
%doc COPYING README
%{_libdir}/%{name}-%{api}/lib%{name}_gtk2_in_qt5.so

#----------------------------------------------------------------------------

%prep
%setup -q


%build
export CXXFLAGS="%{optflags} -std=gnu++11"
./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}
./waf


%install
./waf install --destdir=%{buildroot}

%changelog

* Fri May 12 2017 Giovanni Mariani <mc2374@mclink.it> 0.8.4-1
- (b0c6b58) Updated to release 0.8.4, enable Qt5 support and provide sub-packages for resulting libraries


